# 概要

1.4.2 「括弧を省略してサブルーチンを呼び出せない」のサンプルコードです。

次のサンプルコードを用意しています。

- cannot_omit_parentheses.pl
  - 括弧を省略してサブルーチンを呼び出せない場合のサンプルコードです
  - エラーになっていて実行できないコードです
- cannot_use_prototype.pl
  - サブルーチンプロトタイプが定義されているサブルーチンが呼び出せない場合のサンプルコードです
  - エラーになっていて実行できないコードです
- can_call_subroutine.pl
  - cannot_omit_parentheses.pl, cannot_use_prototype.pl を実行できるように修正したコードです
- predeclare.pl
  - 事前にサブルーチンの定義をしておくことで cannot_omit_parentheses.pl, cannot_use_prototype.pl を実行できるように修正したコードです

## 実行

```bash
perl ${スクリプトファイル名}
```
