package MyApp::DB::Row::Item;
use 5.014002;
use Mouse v2.4.5;
use Class::Load qw( load_class );
use String::CamelCase qw( camelize );

extends qw/ MyApp::DB::Row /;

sub use {
    my ($self, $user) = @_;
    my $module =
        'MyApp::ItemEffect::' . camelize($self->name);
    load_class($module);
    my $effect = $module->new(@_);
    $effect->execute($user);
}

1;
