package Module;
use strict;
use warnings;
use utf8;

use Module::Load qw( load );

sub add_plugin {
    my ($class, $plugin) = @_;
    my $package = "Module::Plugin::${plugin}";
    load($package);
    {
        no strict 'refs';
        for my $method ( @{"${package}::EXPORT"} ){
            *{$class . '::' . $method} =
                $package->can($method);
        }
    }
}

1;
