package MyApp::ItemEffect::Potion;
use 5.014002;
use warnings;
use utf8;
use Moo;
use Type::Params qw( compile Invocant );
use Type::Utils qw( class_type );

sub execute {
    state $check = compile(Invocant, class_type('MyApp::User'));
    my ($self, $user) = $check->(@_);

    $user->hp( $user->hp->add(10) );
}

__PACKAGE__->meta->make_immutable;

1;
