use FindBin;
use lib "$FindBin::Bin/lib";
use strict;
use warnings;
use utf8;
use Test2::V0;
use Module::Find qw( usesub useall );

my @sub_modules = usesub('Foo');
is \@sub_modules, [qw( Foo::Baz Foo::Bar )];

my @all_modules = useall('Foo');
is \@all_modules, [qw( Foo::Baz Foo::Bar Foo::Bar::Hoge )];

done_testing;
