package Module;
use strict;
use warnings;
use utf8;

use Module::Load qw( load );

sub add_plugin {
    my ($class, $plugin) = @_;
    no strict 'refs';
    for my $method ( @{"${plugin}::EXPORT"} ){
        *{$class . '::' . $method} =
            $plugin->can($method);
    }
}

1;
